Bug 1032465 - do proper cleanup of the graph
do proper cleanup of the graph
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.1
Unspecified Unspecified
high Severity high
: ---
: RHGS 2.1.2
Assigned To: santosh pradhan
Ben Turner
: ZStream
Depends On: 948178
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 04:28 EST by santosh pradhan
Modified: 2015-05-13 12:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0.44.1u2rhs-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 948178
Environment:
Last Closed: 2014-02-25 03:05:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description santosh pradhan 2013-11-20 04:28:15 EST
+++ This bug was initially created as a clone of Bug #948178 +++

Description of problem:
Upon graph change the old graph still exists and the xlator's fini is not called for the old graph. The inode contexts and the fd contexts remain in the memory till the lifetime of the inode/fd (in the new graph a new corresponding inode/fd would have been created and the active graph's inode/fd will be used for any further incoming request).

To avoid memory leak, do proper cleanup of the older graph whenever graph change happens.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from Anand Avati on 2013-04-04 05:01:16 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#1) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 05:01:35 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#1) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 05:01:51 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#1) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 05:02:09 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#1) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 06:36:09 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#2) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 06:36:26 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#2) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 06:36:42 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#2) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 06:36:58 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#2) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 14:14:20 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#3) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 14:14:36 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#3) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 14:14:52 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#3) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 14:15:08 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#3) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 16:06:05 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#4) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 16:06:21 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#4) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 16:06:37 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#4) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-04 16:06:53 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#4) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-08 04:43:38 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#5) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-08 04:43:56 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#5) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-08 04:44:13 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#5) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-08 04:44:32 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#5) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-10 04:55:02 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#6) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-10 04:55:23 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#6) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-10 04:55:41 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#6) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-10 04:55:59 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#6) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-22 08:15:55 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#7) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-22 08:16:23 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#7) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-22 08:16:42 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#7) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-04-22 08:17:50 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#7) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-05-09 08:52:17 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#8) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-05-09 08:52:42 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#8) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-05-09 08:53:01 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#8) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-05-09 08:53:22 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#8) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-05-14 01:40:37 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#9) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-05-14 01:40:57 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#9) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-05-14 01:41:16 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#9) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-05-14 01:41:36 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#9) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-10 06:32:48 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#10) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-10 06:33:13 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#10) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-10 06:33:35 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#10) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-10 06:33:58 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#10) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-12 03:58:27 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#11) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-12 03:58:52 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#11) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-12 03:59:14 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#11) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-12 03:59:38 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#11) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 05:14:55 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#12) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 05:15:18 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#12) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 05:15:42 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#12) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 05:16:05 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#12) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 06:38:37 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#13) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 06:39:01 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#13) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 06:39:25 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#13) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 06:39:48 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#13) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 07:27:26 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#14) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 07:27:49 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#14) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 07:28:12 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#14) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-06-18 07:28:37 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#14) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-07-24 15:53:07 EDT ---

REVIEW: http://review.gluster.org/5388 (glusterfsd: destroy the temporary graphs constructed for comparison) posted (#1) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-07-25 01:54:41 EDT ---

REVIEW: http://review.gluster.org/5388 (glusterfsd, libgfapi: destroy the temporary graphs constructed for comparison) posted (#2) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-07-25 05:33:16 EDT ---

REVIEW: http://review.gluster.org/5388 (glusterfsd, libgfapi: destroy the temporary graphs constructed for comparison) posted (#3) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-07-26 05:08:35 EDT ---

REVIEW: http://review.gluster.org/5388 (glusterfsd, libgfapi: destroy the temporary graphs constructed for comparison) posted (#4) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-08-02 08:01:16 EDT ---

REVIEW: http://review.gluster.org/5388 (glusterfsd, libgfapi: destroy the temporary graphs constructed for comparison) posted (#5) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-08-22 09:15:04 EDT ---

REVIEW: http://review.gluster.org/5388 (glusterfsd, libgfapi: destroy the temporary graphs constructed for comparison) posted (#6) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-08-26 08:49:45 EDT ---

REVIEW: http://review.gluster.org/5388 (glusterfsd, libgfapi: destroy the temporary graphs constructed for comparison) posted (#7) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-03 08:53:55 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#15) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-03 08:54:24 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#15) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-03 08:54:52 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#15) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-03 08:55:20 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#15) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-12 05:53:31 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#16) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-12 05:54:01 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#16) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-12 05:54:30 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#16) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-12 05:55:11 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#16) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-13 03:18:45 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#17) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-13 03:19:17 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#17) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-13 03:19:50 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#17) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-13 03:20:20 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#17) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-26 03:04:04 EDT ---

REVIEW: http://review.gluster.org/5388 (glusterfsd, libgfapi: destroy the temporary graphs constructed for comparison) posted (#8) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-27 05:36:48 EDT ---

REVIEW: http://review.gluster.org/4778 (protocol/client: destroy the fd contexts of the client in fini) posted (#18) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-27 05:37:47 EDT ---

REVIEW: http://review.gluster.org/4776 (changes in performance xlators for graph cleanup) posted (#18) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-27 05:38:57 EDT ---

REVIEW: http://review.gluster.org/4777 (cluster: changes in cluster xlators and debug xlators for proper graph cleanup) posted (#18) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-09-27 05:39:57 EDT ---

REVIEW: http://review.gluster.org/4775 (core: changes for doing proper graph cleanup) posted (#18) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2013-10-04 00:32:49 EDT ---

COMMIT: http://review.gluster.org/5388 committed in master by Anand Avati (avati@redhat.com) 
------
commit dcfe4ab475c53cec7d117fb8052b26213a4b41db
Author: Raghavendra Bhat <raghavendra@redhat.com>
Date:   Thu Jul 25 01:14:48 2013 +0530

    glusterfsd, libgfapi: destroy the temporary graphs constructed for comparison
    
    * The new and the oldgraphs which have been constructed whenever there is
      a volfile change (either reconfigure of the existing graph or creating
      a new graph) for comparison should be freed. Otherwise frequent graph
      changes will lead to huge memory leak
    
    Change-Id: I4faddb1aa9393b34cd2de6732e537a60f600026a
    BUG: 948178
    Signed-off-by: Raghavendra Bhat <raghavendra@redhat.com>
    Reviewed-on: http://review.gluster.org/5388
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 2 santosh pradhan 2013-11-25 00:15:35 EST

https://code.engineering.redhat.com/gerrit/#/c/16048/
Comment 5 errata-xmlrpc 2014-02-25 03:05:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0208.html

Note You need to log in before you can comment on or make changes to this bug.